<?php
header('Content-Type: application/json');
include('../../../php/conn.php');
switch ($_POST["accion"]) {
  case 'obtenerTipoEncuesta':
    $provincias = array();
    if ($resprov = mysqli_query($enlace, "SELECT t.cod_tip_encuesta,nom_tip_encuesta FROM tb_encuesta AS e INNER JOIN tb_tip_encuesta AS t ON e.cod_tipo_encuesta = t.cod_tip_encuesta WHERE cod_cliente = ".$_POST["cliente"].";")) {
      if (mysqli_num_rows($resprov) > 0) {
        while($row = mysqli_fetch_assoc($resprov)) {
          array_push($provincias, $row);
        }
        echo json_encode(array('estado' => 1, 'registros' => $provincias));
      }
      else{
        echo json_encode(array('estado' => 0));
      }
    }
    break;
  case 'obtenerFiltros':
    if ($resprov = mysqli_query($enlace, "SELECT cod_encuesta FROM tb_encuesta WHERE cod_cliente=".$_POST["cliente"]." AND cod_tipo_encuesta=".$_POST["tipoencuesta"].";")) {
      if (mysqli_num_rows($resprov) > 0) {
        while($row = mysqli_fetch_assoc($resprov)) {
          if ($resprov = mysqli_query($enlace, "SELECT cod_pregunta,cod_tip_pregunta,text_pregunta FROM tb_pregunta WHERE cod_encuesta=".$row["cod_encuesta"]." AND is_filter=1;")) {
            if (mysqli_num_rows($resprov) > 0) {
              $respuesta = array();
              while($row = mysqli_fetch_assoc($resprov)) {
                if($row["cod_tip_pregunta"]=="4"){
                  $opciones = array();
                  if ($resprov = mysqli_query($enlace, "SELECT * FROM tb_tip_respuesta WHERE codigo_pregunta=".$row["cod_pregunta"].";")) {
                    if (mysqli_num_rows($resprov) > 0) {
                      while($row0 = mysqli_fetch_assoc($resprov)) {
                        array_push($opciones, $row0);
                      }
                      /**/
                      $row["opciones"] = $opciones;
                    }
                  }
                }
                array_push($respuesta, $row);
              }
              echo json_encode(array('estado' => 1, 'registros' => $respuesta));
            }
            else{
              echo json_encode(array('estado' => 0));
            }
          }
        }
      }
      else{
        echo json_encode(array('estado' => 0));
      }
    }
    break;
  
  default:
    # code...
    break;
}
?>